Subject: bug#43843: closed (Re: [PATCH] build-system/haskell: Disable parallel builds.)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 18 Oct 2020 22:12:01 +0000

Your bug report

#43843: git-annex is not Reproducible

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
43843: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=43843
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [PATCH] build-system/haskell: Disable parallel builds.
From: Marius Bakke <[email-masked]>
To: zimoun <[email-masked]>, [email-masked]
Cc: [email-masked], zimoun <[email-masked]>
Date: Mon, 19 Oct 2020 00:11:30 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

zimoun <[email-masked]> writes:

> Fixes <https://bugs.gnu.org/43843>.
>
> PARALLEL-BUILD? introduced by commit 67cb9fa2357026ee42ec5bb0923ec4dc4a43abe2
> leads to unreproducibility.  Instead of reverting, default is set to #false
> which allows user to locally build with parallelism.
>
> * guix/build-system/haskell.scm (haskell-build): Turn off PARALLEL-BUILD? by
> default.

Thanks!  I shortened the comment a little and pushed to staging in
19d42e0e23a7f90ac2dcc1c279bd23a967ff0314.

Subject: git-annex is not Reproducible
From: zimoun <[email-masked]>
To: [email-masked]
Date: Wed, 07 Oct 2020 12:35:51 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Dear,

Using Guix 04a459a, the package ’git-annex’ is not reproducible:

  guix build git-annex
  guix build git-annex --no-grafts --check -K

return:

--8<---------------cut here---------------start------------->8---
guix build: error: derivation `/gnu/store/70qkv5hi5yq20m1h9jfm17m5lsc235mk-git-annex-8.20200908.drv' may not be deterministic: output `/gnu/store/cbrwrlwx6kg7l5q6ifl7q08icm17704g-git-annex-8.20200908' differs from ‘/gnu/store/cbrwrlwx6kg7l5q6ifl7q08icm17704g-git-annex-8.20200908-check’
--8<---------------cut here---------------end--------------->8---

then:

--8<---------------cut here---------------start------------->8---
$ diff -r --no-dereference /gnu/store/cbrwrlwx6kg7l5q6ifl7q08icm17704g-git-annex-8.20200908{,-check}
Binary files /gnu/store/cbrwrlwx6kg7l5q6ifl7q08icm17704g-git-annex-8.20200908/bin/git-annex and /gnu/store/cbrwrlwx6kg7l5q6ifl7q08icm17704g-git-annex-8.20200908-check/bin/git-annex differ
--8<---------------cut here---------------end--------------->8---

Is it expected?  I have not tried ’diffoscope’ yet to investigate.

Note that:

<https://tests.reproducible-builds.org/debian/rb-pkg/unstable/amd64/git-annex.html>

speaks about GCC patch… I do not know if it is relevant.

All the best,
simon